services:
  vaultwarden:
    image: vaultwarden/server:latest
    container_name: vaultwarden
    ports:
      - 7080:80
      - 5443:443
    volumes:
      - vaultwarden_data:/data
    environment:
      - WEBSOCKET_ENABLED=true
      - ADMIN_TOKEN=${ADMIN_TOKEN}
      - DOMAIN=${DOMAIN}
      - ROCKET_PORT=80
      - ROCKET_PROFILE=release
    restart: always
    labels:
      - diun.enable=true
volumes:
  vaultwarden_data:
    name: vaultwarden_data
